<p align="center">
   <img width="170" src="/images/logo.png" />
</p>

<p align="center">
   <img width="400" src="/images/noctisLogo.png" />
</p>

Noctis is a collection of light & dark themes with a well balanced blend of warm and cold **medium contrast** colors.

The theme is designed to:

-   be easy on the eyes thus reducing the eye strain
-   give semantic meaning to theme's colors

Noctis comes in 11 versions, 8 are dark and 3 are light.

-   _Noctis_, _Noctis Sereno_ & _Noctis Obscuro_ background is a very saturated very dark cold bluish cyan
-   _Noctis Azureus'_ background is a very saturated very dark cold azure
-   _Noctis Bordo's_ background is a very unsaturated very dark warm rose
-   _Noctis Uva's_ background is a unsaturated dark cold blue. For those with more spartan taste
-   _Noctis Minimus'_ background offers a version of the _Azureus_ palette with **much lower saturation**. (Thank you [Draevin](https://github.com/draevin) for your [contribution](https://github.com/liviuschera/noctis/pull/10))
-   _Noctis Viola's_ background is a saturated very dark cold violet
-   _Noctis Lux'_ background is a very saturated very light warm orange
-   _Noctis Hibernus'_ background is a very unsaturated very light cold bluish cyan
-   _Noctis Lilac's_ background is a very unsaturated very light cold blue

<div align="center">

---

> ## The font used in screenshots is called [Cartograph CF](http://connary.com/cartograph.html)

---

## Noctis

![Noctis Screenshot](/images/noctis.png)

## Noctis Azureus

![Noctis Azureus Screenshot](/images/noctisAzureus.png)

## Noctis Bordo

![Noctis Bordo Screenshot](/images/noctisBordo.png)

## Noctis Minimus

![Noctis Minimus Screenshot](/images/noctisMinimus.png)

## Noctis Uva

![Noctis Uva Screenshot](/images/NoctisUva.png)

## Noctis Viola

![Noctis Viola Screenshot](/images/noctisViola.png)

## Noctis Lux

![Noctis Lux Screenshot](/images/noctisLux.png)

## Noctis Lilac

![Noctis Lilac Screenshot](/images/noctisLilac.png)

## Noctis Hibernus

![Noctis Hibernus Screenshot](/images/noctisHibernus.png)

</div>

## Supported Languages

-   Apex (requires [Salesforce Extension Pack](https://marketplace.visualstudio.com/items?itemName=salesforce.salesforcedx-vscode) extension)
-   C/C++
-   C#
-   Clojure
-   CoffeeScript
-   Crystal (requires [Crystal Language](https://marketplace.visualstudio.com/items?itemName=faustinoaq.crystal-lang) extension)
-   CSS
    -   Sass/SCSS
-   Cucumber (Gerkin) (requires [Cucumber (Gherkin) Full Support](https://marketplace.visualstudio.com/items?itemName=alexkrechik.cucumberautocompletel) extension)
-   Dart (requires [Dart](https://marketplace.visualstudio.com/items?itemName=Dart-Code.dart-code) extension)
-   Elm (requires [elm](https://marketplace.visualstudio.com/items?itemName=sbrink.elm) extension)
-   Elixir (requires [ElixirLS: Elixir support and debugger](https://marketplace.visualstudio.com/items?itemName=JakeBecker.elixir-ls) extension)
-   Erlang (requires [erlang](https://marketplace.visualstudio.com/items?itemName=pgourlain.erlang) extension)
-   F#
-   Go
-   GraphQL (requires [GraphQL](https://marketplace.visualstudio.com/items?itemName=Prisma.vscode-graphql) extension)
-   Groovy
-   Haskell (requires [Haskell Syntax Highlighting](https://marketplace.visualstudio.com/items?itemName=justusadam.language-haskell) extension)
-   HLSL
-   HTML
    -   EJS
    -   Handlebars
    -   Pug/Jade
-   Java
-   JavaScript
    -   JSON
    -   React/JSX
    -   Typescript/TSX
-   Julia (requires [Julia](https://marketplace.visualstudio.com/items?itemName=julialang.language-julia) extension)
-   Kotlin (requires [Kotlin](https://marketplace.visualstudio.com/items?itemName=fwcd.kotlin) extension)
-   Lua (requires [Lua](https://marketplace.visualstudio.com/items?itemName=sumneko.lua) extension)
-   Markup
    -   AsciiDoc (requires [AsciiDoc](https://marketplace.visualstudio.com/items?itemName=asciidoctor.asciidoctor-vscode) extension)
    -   LaTeX (requires [LaTeX Workshop](https://marketplace.visualstudio.com/items?itemName=James-Yu.latex-workshop) extension)
    -   Markdown
    -   MJML (requires [MJML](https://marketplace.visualstudio.com/items?itemName=attilabuti.vscode-mjml) extension)
-   Nim (requires [Nim](https://marketplace.visualstudio.com/items?itemName=kosz78.nim) extension)
-   Objective-C
-   Ocaml (requires [reason-vscode](https://marketplace.visualstudio.com/items?itemName=jaredly.reason-vscode) extension)
-   PHP
    -   Laravel Blade
    -   Twig (requires [Twig Language 2](https://marketplace.visualstudio.com/items?itemName=mblode.twig-language-2) extension)
-   PlantUML (requires [PlantUML](https://marketplace.visualstudio.com/items?itemName=jebbs.plantuml) extension)
-   PowerShell
-   Python
-   R
-   ReasonML (requires [reason-vscode](https://marketplace.visualstudio.com/items?itemName=jaredly.reason-vscode) extension)
-   Ruby
-   Rust
-   Scala (requires [Scala Syntax](https://marketplace.visualstudio.com/items?itemName=scala-lang.scala) extension)
-   SQL
-   Shell Script
-   Swift
-   Terraform (requires [Terraform](https://marketplace.visualstudio.com/items?itemName=4ops.terraform) extension)
-   Vala (requires [Vala Code](https://marketplace.visualstudio.com/items?itemName=thiagoabreu.vala) extension)
-   Visual Basic
-   Zig (requires [Zig Language](https://marketplace.visualstudio.com/items?itemName=ziglang.vscode-zig) extension)
-   _Other_
    -   Apache Conf (requires [Apache Conf](https://marketplace.visualstudio.com/items?itemName=mrmlnc.vscode-apache) extension)
    -   TOML (requires [Better TOML](https://marketplace.visualstudio.com/items?itemName=bungcip.better-toml) extension)

I plan on adding support for new languages in the upcoming releases. Please feel free to open an issue if you'd like a new language supported or if you think something is off.

## Syntax colors

The color names were matched using the excellent online tools [Name that Color](http://chir.ag/projects/name-that-color) and [Color Name & Hue](http://www.color-blindness.com/color-name-hue/)

### Standard Colors

| Color           | Hex Code                                                                                      | Used for:                                                 |
| --------------- | --------------------------------------------------------------------------------------------- | --------------------------------------------------------- |
| Eucalyptus      | ![#49e9a6](https://www.colorbook.io/imagecreator.php?hex=49e9a6&width=15&height=15) `#49e9a6` | Strings                                                   |
| Mountain Meadow | ![#16b673](https://www.colorbook.io/imagecreator.php?hex=16b673&width=15&height=15) `#16b673` | Interpolated Strings                                      |
| Horizon         | ![#5b858b](https://www.colorbook.io/imagecreator.php?hex=5b858b&width=15&height=15) `#5b858b` | Comments                                                  |
| Eastern Blue    | ![#16a3b6](https://www.colorbook.io/imagecreator.php?hex=16a3b6&width=15&height=15) `#16a3b6` | Function Calls                                            |
| Turcoise        | ![#49d6e9](https://www.colorbook.io/imagecreator.php?hex=49d6e9&width=15&height=15) `#49d6e9` | Method Calls                                              |
| Picton Blue     | ![#49ace9](https://www.colorbook.io/imagecreator.php?hex=49ace9&width=15&height=15) `#49ace9` | Code that needs to stand out                              |
| Cornflower Blue | ![#7060eb](https://www.colorbook.io/imagecreator.php?hex=df769b&width=15&height=15) `#7060eb` | Numbers & Booleans                                        |
| Pale Violet Red | ![#df769b](https://www.colorbook.io/imagecreator.php?hex=df769b&width=15&height=15) `#df769b` | Keywords & Operators                                      |
| Cinnabar        | ![#e66533](https://www.colorbook.io/imagecreator.php?hex=e66533&width=15&height=15) `#e66533` | Function & Variable Declaration, Tags & `this`            |
| Japonica        | ![#d67e5c](https://www.colorbook.io/imagecreator.php?hex=d67e5c&width=15&height=15) `#d67e5c` | Object properties, ID selectors in CSS & Type annotations |
| Galliano        | ![#d5971a](https://www.colorbook.io/imagecreator.php?hex=d5971a&width=15&height=15) `#d5971a` | Attributes, Constants                                     |
| Gold Sand       | ![#e4b781](https://www.colorbook.io/imagecreator.php?hex=e4b781&width=15&height=15) `#e4b781` | Variables & Parameters                                    |

## Installation

Noctis can be installed by clicking on Ctrl + Shift + X on Windows or ⇧ + ⌘ + X on Mac and then searching for "Noctis".

## How to contribute

Beginning with v7.21.0 the theme building process has been simplified. I started off with the idea used in [Lucy](https://marketplace.visualstudio.com/items?itemName=juliettepretot.lucy-vscode) theme and came up with this theme generator powered by Node.js. This will allow me or any contributor to easily add/suggest new theme variants or changes to the existing ones. In `./src/` folder you will find:

-   `syntax.mjs` &rarr; syntax tokens based on the language grammar installed
-   `colors.mjs` &rarr; the colors used for syntax highlighting
-   `./src/workbench/` &rarr; all eight theme versions containing Workbench/UI colors

After you make a change in any of the above files you need to use `npm run build` command. The build output folder is `./themes/`

Happy hacking!

## Contributors

|                                                                                                                   |                                                          |
| ----------------------------------------------------------------------------------------------------------------- | -------------------------------------------------------- |
| [![Matteo Campinoti](https://avatars.githubusercontent.com/u/5142004?s=85)](https://github.com/MatteoCampinoti94) | [Matteo Campinoti](https://github.com/MatteoCampinoti94) |
| [![Draevin](https://avatars.githubusercontent.com/u/25379577?s=85)](https://github.com/draevin)                   | [Draevin](https://github.com/draevin)                    |
| [![Dang Trung Kien](https://avatars.githubusercontent.com/u/6521018?s=85)](https://github.com/kiendang)           | [Dang Trung Kien](https://github.com/kiendang)           |
| [![CertainLach](https://avatars.githubusercontent.com/u/6235312?s=85)](https://github.com/CertainLach)            | [CertainLach](https://github.com/CertainLach)            |
| [![Dustin Beecher](https://avatars.githubusercontent.com/u/65888560?s=85)](https://github.com/dustinbeecher)      | [Dustin Beecher](https://github.com/dustinbeecher)       |
| [![Jatin Sanghvi](https://avatars.githubusercontent.com/u/20547963?s=85)](https://github.com/JatinSanghvi)        | [Jatin Sanghvi](https://github.com/JatinSanghvi)         |
| [![Zane D. Purvis](https://avatars.githubusercontent.com/u/295055?s=85)](https://github.com/zanedp)               | [Zane D. Purvis](https://github.com/zanedp)              |

## Credits

This theme was inspired by the themes [VS Dark](https://github.com/Microsoft/vscode/tree/master/extensions/theme-defaults/themes), [Solarized](https://ethanschoonover.com/solarized/), [Vue](https://marketplace.visualstudio.com/items?itemName=mariorodeghiero.vue-theme), [Cobalt2](https://github.com/wesbos/cobalt2-vscode), [One Dark](https://github.com/atom/atom/tree/master/packages/one-dark-syntax), [Dracula](https://draculatheme.com/visual-studio-code/), [Pure Syntax](https://atom.io/packages/pure-syntax) and many others.
