export default (syntax) => ({
  name: "Noctis Lilac",
  type: "dark",
  colors: {
    // ---------------------------
    // Editor Base Colors
    // ---------------------------
    "selection.background": "#b4adebbb",
    descriptionForeground: "#908ea4",
    errorForeground: "#ff4000",
    "widget.shadow": "#00000055",
    "editor.background": "#f2f1f8",
    "editor.foreground": "#0c006b",
    "editorLineNumber.foreground": "#9d9ab1",
    "editorLineNumber.activeForeground": "#7060eb",
    "editorCursor.foreground": "#5c49e9",
    // ---------------------------
    // Badge
    // ---------------------------
    "badge.background": "#7060eb",
    "badge.foreground": "#f2f1f8",
    // ---------------------------
    // Activity Bar
    // ---------------------------
    "activityBar.background": "#f2f1f8",
    "activityBar.dropBackground": "#7060eb65",
    "activityBar.foreground": "#7060eb",
    "activityBar.border": "#ece2c600",
    "activityBarBadge.background": "#7060eb",
    "activityBarBadge.foreground": "#f2f1f8",
    "activityBar.activeBackground": "#7060eb33",
    "activityBar.activeBorder": "#7060eb",
    // ---------------------------
    // Sidebar
    // ---------------------------
    "sideBar.background": "#edecf8",
    "sideBar.foreground": "#75718e",
    "sideBar.border": "#ece2c600",
    "sideBar.dropBackground": "#edecf8",
    "sideBarTitle.foreground": "#75718e",
    "sideBarSectionHeader.background": "#dedbf5",
    "sideBarSectionHeader.foreground": "#75718e",
    // ---------------------------
    // Status Bar
    // ---------------------------
    "statusBar.background": "#e2dff6",
    "statusBar.foreground": "#7060eb",
    "statusBar.border": "#ece2c600",
    "statusBar.debuggingBackground": "#edecf8",
    "statusBar.debuggingForeground": "#e9498150",
    "statusBar.debuggingBorder": "#e94981af",
    "statusBar.noFolderForeground": "#8b87ab",
    "statusBar.noFolderBackground": "#edecf8",
    "statusBar.noFolderBorder": "#edecf8",
    "statusBarItem.activeBackground": "#c1bbec",
    "statusBarItem.hoverBackground": "#c9c2f9",
    "statusBarItem.prominentBackground": "#a9a4e544",
    "statusBarItem.prominentHoverBackground": "#a9a4e599",
    // ---------------------------
    // Button
    // ---------------------------
    "button.background": "#8e80ff",
    "button.foreground": "#f1f1f1",
    "button.hoverBackground": "#a599ff",
    // ---------------------------
    // Dropdown
    // ---------------------------
    "dropdown.background": "#f2f1f8",
    "dropdown.border": "#f2f1f8",
    "dropdown.foreground": "#0c006b",
    // ---------------------------
    // Editor Marker Navigation
    // ---------------------------
    "editorMarkerNavigation.background": "#3a3a5e29",
    "editorMarkerNavigationError.background": "#ff4000",
    "editorMarkerNavigationWarning.background": "#e69533",
    // ---------------------------
    // Errors and warnings
    // ---------------------------
    "editorError.border": "#f2f1f8",
    "editorError.foreground": "#ff4000",
    "editorWarning.border": "#f2f1f8",
    "editorWarning.foreground": "#e69533",
    "editorInfo.border": "#f2f1f8",
    "editorInfo.foreground": "#00c6e0",
    "editorHint.border": "#58cc6d00",
    "editorHint.foreground": "#58cc6d",
    // ---------------------------
    // Editor Groups and Tabs
    // ---------------------------
    "editorGroup.emptyBackground": "#958fbc33",
    "editorGroup.border": "#d4d0f1",
    "editorGroup.dropBackground": "#958fbc33",
    // ---------------------------
    // Editor Group Header
    // ---------------------------
    "editorGroupHeader.noTabsBackground": "#e2dff6",
    "editorGroupHeader.tabsBackground": "#e2dff6",
    "editorGroupHeader.tabsBorder": "#e2dff600",
    // ---------------------------
    // Editor Tabs
    // ---------------------------
    "tab.activeBackground": "#f2f1f8",
    "tab.unfocusedActiveBackground": "#e9e7f3",
    "tab.activeForeground": "#7060eb",
    "tab.border": "#b5adeb",
    "tab.inactiveBackground": "#e2dff6",
    "tab.inactiveForeground": "#75718e",
    "tab.unfocusedActiveForeground": "#75718e",
    "tab.unfocusedInactiveForeground": "#75718e",
    "tab.activeBorderTop": "#00c6e0",
    "tab.activeModifiedBorder": "#00b368",
    "tab.activeBorder": "#f2f1f8",
    "tab.unfocusedActiveBorder": "#f2f1f800",
    "tab.unfocusedHoverBackground": "#7060eb21",
    // ---------------------------
    // Text Colors
    // ---------------------------
    "textBlockQuote.background": "#edecf8",
    "textBlockQuote.border": "#00899e",
    "textCodeBlock.background": "#edecf8",
    "textLink.activeForeground": "#00c6e0",
    "textLink.foreground": "#00c6e0",
    "textPreformat.foreground": "#e9a149",
    "textSeparator.foreground": "#edecf8",
    // ---------------------------
    // Welcome Page
    // ---------------------------
    "walkThrough.embeddedEditorBackground": "#edecf8",
    "welcomePage.buttonBackground": "#edecf8",
    "welcomePage.buttonHoverBackground": "#e2dff6",
    // ---------------------------
    // Input Control
    // ---------------------------
    "input.background": "#f2f1f8",
    "input.border": "#dedbf5",
    "input.foreground": "#666284",
    "input.placeholderForeground": "#9391a6",
    "inputOption.activeBorder": "#7060eb",
    "inputValidation.errorBackground": "#ff400041",
    "inputValidation.errorBorder": "#ff4000",
    "inputValidation.infoBackground": "#00c6ea599ff",
    "inputValidation.infoBorder": "#00c6e0",
    "inputValidation.warningBackground": "#ffa587cc",
    "inputValidation.warningBorder": "#ffa487",
    // ---------------------------
    // Editor Widgets
    // ---------------------------
    "editorWidget.background": "#dedbf5",
    "editorWidget.border": "#ece2c600",
    "editorHoverWidget.background": "#dedbf5",
    "editorHoverWidget.border": "#ece2c600",
    "editorSuggestWidget.background": "#dedbf5",
    "editorSuggestWidget.border": "#ece2c600",
    "editorSuggestWidget.foreground": "#666284",
    "editorSuggestWidget.highlightForeground": "#7060eb",
    "editorSuggestWidget.selectedBackground": "#cac4f3",
    // ---------------------------
    // Gutter
    // ---------------------------
    "editorGutter.background": "#f2f1f8",
    "editorGutter.addedBackground": "#8ce99a",
    "editorGutter.deletedBackground": "#ff4000",
    "editorGutter.modifiedBackground": "#e9a149",
    // ---------------------------
    // Selection Colors
    // ---------------------------
    "editor.selectionBackground": "#b4adeb77",
    "editor.selectionHighlightBackground": "#14a5ff33",
    "editor.selectionHighlightBorder": "#14a5ff00",
    "editor.inactiveSelectionBackground": "#b4adeb55",
    "editor.wordHighlightStrongBackground": "#b5890027",
    "editor.wordHighlightStrongBorder": "#b5890000",
    "editor.wordHighlightBackground": "#e9a14922",
    "editor.wordHighlightBorder": "#e9a14900",
    "editor.findMatchBackground": "#8ce99a60",
    "editor.findMatchBorder": "#8ce99a00",
    "editor.findMatchHighlightBackground": "#148f9f33",
    "editor.findMatchHighlightBorder": "#148f9f00",
    "editor.findRangeHighlightBackground": "#99e62a55",
    "editor.findRangeHighlightBorder": "#58CC6D00",
    "editor.hoverHighlightBackground": "#7060eb3f",
    "editor.lineHighlightBackground": "#d5d2ef99",
    "editor.lineHighlightBorder": "#d5d2ef00",
    "editor.rangeHighlightBackground": "#f1e9d5a1",
    "editorLink.activeForeground": "#14a5ff",
    "editorWhitespace.foreground": "#c3c1d7bb",
    "editorIndentGuide.background": "#c3c1d7aa",
    "editorIndentGuide.activeBackground": "#9f99cc",
    "editorBracketMatch.background": "#7060eb20",
    "editorBracketMatch.border": "#7060eb",
    "editorRuler.foreground": "#d4d0f1",
    // ---------------------------
    // Code Lens
    // ---------------------------
    "editorCodeLens.foreground": "#77aaca",
    // ---------------------------
    // Integrated Terminal Colors
    // ---------------------------
    "terminal.ansiBlack": "#0c006b",
    "terminal.ansiRed": "#e34e1c",
    "terminal.ansiGreen": "#00b368",
    "terminal.ansiYellow": "#f49725",
    "terminal.ansiBlue": "#0094f0",
    "terminal.ansiMagenta": "#ff5792",
    "terminal.ansiCyan": "#00bdd6",
    "terminal.ansiWhite": "#8ca6a6",
    "terminal.ansiBrightBlack": "#0f0080",
    "terminal.ansiBrightRed": "#ff4000",
    "terminal.ansiBrightGreen": "#00d17a",
    "terminal.ansiBrightYellow": "#ff8c00",
    "terminal.ansiBrightBlue": "#0fa3ff",
    "terminal.ansiBrightMagenta": "#ff6b9f",
    "terminal.ansiBrightCyan": "#00cbe6",
    "terminal.ansiBrightWhite": "#bbc3c4",
    "terminal.background": "#e9e7f3",
    "terminal.foreground": "#0c006b",
    "terminalCursor.background": "#e9e7f3",
    "terminalCursor.foreground": "#0c006b",
    // ---------------------------
    // Merge
    // ---------------------------
    "merge.border": "#f2f1f800",
    "merge.currentContentBackground": "#33e7ff33",
    "merge.currentHeaderBackground": "#33e7ff55",
    "merge.incomingContentBackground": "#9d92f233",
    "merge.incomingHeaderBackground": "#9d92f255",
    "merge.commonContentBackground": "#ffc18033",
    "merge.commonHeaderBackground": "#ffc18055",
    "editorOverviewRuler.currentContentForeground": "#33e7ff55",
    "editorOverviewRuler.incomingContentForeground": "#9d92f255",
    "editorOverviewRuler.commonContentForeground": "#ffc18055",
    "editorOverviewRuler.border": "#f2f1f8",
    // ---------------------------
    // Notification Colors
    // ---------------------------
    "notificationCenter.border": "#dedbf5",
    "notificationCenterHeader.foreground": "#0c006b",
    "notificationCenterHeader.background": "#dedbf5",
    "notificationToast.border": "#dedbf5",
    "notifications.foreground": "#0c006b",
    "notifications.background": "#dedbf5",
    "notifications.border": "#dedbf5",
    "notificationLink.foreground": "#0c006b",
    // ---------------------------
    // Diff
    // ---------------------------
    "diffEditor.insertedTextBackground": "#14b83230",
    "diffEditor.removedTextBackground": "#BB1F0522",
    // ---------------------------
    // Debug
    // ---------------------------
    "debugToolBar.background": "#edecf8",
    "debugExceptionWidget.background": "#edecf8",
    "debugExceptionWidget.border": "#00899e",
    // ---------------------------
    // Extensions
    // ---------------------------
    "extensionButton.prominentBackground": "#8e80ff",
    "extensionButton.prominentForeground": "#e4e2f9",
    "extensionButton.prominentHoverBackground": "#a599ff",
    focusBorder: "#dedbf5",
    foreground: "#0c006b",
    // ---------------------------
    // Panel
    // ---------------------------
    "panel.background": "#e9e7f3",
    "panel.border": "#aea4f4",
    "panelTitle.activeBorder": "#aea4f4",
    "panelTitle.activeForeground": "#7060eb",
    "panelTitle.inactiveForeground": "#75718e",
    // ---------------------------
    // Peek View Colors
    // ---------------------------
    "peekView.border": "#7060eb",
    "peekViewEditor.background": "#eae7fd",
    "peekViewEditor.matchHighlightBackground": "#148f9f33",
    "peekViewEditor.matchHighlightBorder": "#148f9f79",
    "peekViewEditorGutter.background": "#eae7fd",
    "peekViewResult.background": "#edecf8",
    "peekViewResult.fileForeground": "#e9a149",
    "peekViewResult.lineForeground": "#8b87ab",
    "peekViewResult.matchHighlightBackground": "#dedbf5",
    "peekViewResult.selectionBackground": "#dedbf5",
    "peekViewResult.selectionForeground": "#666284",
    "peekViewTitle.background": "#edecf8",
    "peekViewTitleDescription.foreground": "#8b87ab",
    "peekViewTitleLabel.foreground": "#e9a149",
    // ---------------------------
    // Progress Bar
    // ---------------------------
    "progressBar.background": "#00c6e0",
    // ---------------------------
    // Scroll Bar
    // ---------------------------
    "scrollbar.shadow": "#00000055",
    "scrollbarSlider.activeBackground": "#7060ebad",
    "scrollbarSlider.background": "#6a90955b",
    "scrollbarSlider.hoverBackground": "#7060eb62",
    // ---------------------------
    // Git status colors in File Explorer
    // ---------------------------
    "gitDecoration.addedResourceForeground": "#009456",
    "gitDecoration.modifiedResourceForeground": "#14b832",
    "gitDecoration.deletedResourceForeground": "#ff4000",
    "gitDecoration.untrackedResourceForeground": "#00c6e0",
    "gitDecoration.ignoredResourceForeground": "#a8a28faa",
    "gitDecoration.conflictingResourceForeground": "#e9a149",
    // ---------------------------
    // Quick Picker
    // ---------------------------
    "pickerGroup.border": "#aea4f4",
    "pickerGroup.foreground": "#7060eb",
    // ---------------------------
    // Lists and Trees
    // ---------------------------
    "list.activeSelectionBackground": "#bcb6e7",
    "list.activeSelectionForeground": "#0c006b",
    "list.dropBackground": "#afaad4aa",
    "list.focusBackground": "#c3beea",
    "list.focusForeground": "#0c006b",
    "list.highlightForeground": "#7060eb",
    "list.hoverBackground": "#d2ccff",
    "list.hoverForeground": "#0c006b",
    "list.inactiveFocusBackground": "#cec9ed",
    "list.inactiveSelectionBackground": "#d7d3f3",
    "list.inactiveSelectionForeground": "#838099",
    "list.errorForeground": "#c9481d",
    "list.warningForeground": "#e07a52",
    "listFilterWidget.background": "#d7d3f3",
    "listFilterWidget.outline": "#14b832",
    "listFilterWidget.noMatchesOutline": "#ff4000",
    "tree.indentGuidesStroke": "#c3c1d7",
    // ---------------------------
    // Settings Editor Colors
    // ---------------------------
    "settings.headerForeground": "#0c006b",
    "settings.modifiedItemIndicator": "#00bd23",
    "settings.dropdownListBorder": "#b4adeb88",
    "settings.dropdownBackground": "#dedbf5",
    "settings.dropdownForeground": "#0bb",
    "settings.dropdownBorder": "#dedbf5",
    "settings.checkboxBackground": "#dedbf5",
    "settings.checkboxForeground": "#0bb",
    "settings.checkboxBorder": "#dedbf5",
    "settings.textInputBackground": "#dedbf5",
    "settings.textInputForeground": "#0bb",
    "settings.textInputBorder": "#dedbf5",
    "settings.numberInputBackground": "#d4d0f1",
    "settings.numberInputForeground": "#5842ff",
    "settings.numberInputBorder": "#d4d0f1",
    // ---------------------------
    // Breadcrumbs
    // ---------------------------
    "breadcrumb.foreground": "#75718e",
    "breadcrumb.background": "#f2f1f8",
    "breadcrumb.focusForeground": "#7060eb",
    "breadcrumb.activeSelectionForeground": "#0c006b",
    "breadcrumbPicker.background": "#dedbf5",
    // ---------------------------
    // Title bar
    // Note: These colors are currently only supported on macOS.
    // ---------------------------
    "titleBar.activeBackground": "#edecf8",
    "titleBar.activeForeground": "#0c006b",
    "titleBar.inactiveBackground": "#edecf8",
    "titleBar.inactiveForeground": "#75718e",
    // ---------------------------
    // Custom title bar and menus
    // Note: These colors are currently only supported on Windows and Linux.
    // ---------------------------
    "menu.background": "#dedbf5",
    "menu.foreground": "#75718e",
    "menu.selectionBackground": "#d6d1fa",
    "menu.selectionForeground": "#7060eb",
    "menu.selectionBorder": "#d6d1fa",
    "menubar.selectionBackground": "#d6d1fa",
    "menubar.selectionForeground": "#7060eb",
    "menubar.selectionBorder": "#d6d1fa",
    // ---------------------------
    // Snippets
    // ---------------------------
    "editor.snippetTabstopHighlightBackground": "#b3abed77",
    "editor.snippetTabstopHighlightBorder": "#dad6f5",
    "editor.snippetFinalTabstopHighlightBackground": "#b3abed77",
    "editor.snippetFinalTabstopHighlightBorder": "#dad6f5",
    // ---------------------------
    // Minimap
    // ---------------------------
    "minimap.findMatchHighlight": "#7060ebaa",
    "minimap.errorHighlight": "#ff4000ee",
    "minimap.warningHighlight": "#e69533ee",
    "minimapGutter.addedBackground": "#009456",
    "minimapGutter.modifiedBackground": "#14b832",
    "minimapGutter.deletedBackground": "#ff4000",
    "minimap.background": "#f2f1f899",
  },
  tokenColors: syntax,
});
