export default syntax => ({
  name: "Noctis Minimus",
  type: "dark",
  colors: {
    // ---------------------------
    // Editor Base Colors
    // ---------------------------
    "selection.background": "#5998c077",
    descriptionForeground: "#6496b4",
    errorForeground: "#b96346",
    "widget.shadow": "#00000044",
    "editor.background": "#1b2932",
    "editor.foreground": "#c5cdd3",
    "editorLineNumber.foreground": "#5d6e79",
    "editorLineNumber.activeForeground": "#6496b4",
    "editorCursor.foreground": "#b3d2e6",
    // ---------------------------
    // Badge
    // ---------------------------
    "badge.background": "#5998c0",
    "badge.foreground": "#101213",
    // ---------------------------
    // Activity Bar
    // ---------------------------
    "activityBar.background": "#1b2932",
    "activityBar.dropBackground": "#6496b465",
    "activityBar.border": "#101213",
    "activityBar.foreground": "#496d83",
    "activityBar.inactiveForeground": "#496d8377",
    "activityBarBadge.background": "#5998c0",
    "activityBarBadge.foreground": "#101213",
    "activityBar.activeBackground": "#5998c033",
    "activityBar.activeBorder": "#5998c0",
    // ---------------------------
    // Sidebar
    // ---------------------------
    "sideBar.background": "#17232b",
    "sideBar.dropBackground": "#17232b",
    "sideBar.border": "#101213",
    "sideBar.foreground": "#96a8b6",
    "sideBarSectionHeader.background": "#202e37",
    "sideBarSectionHeader.foreground": "#96a8b6",
    "sideBarTitle.foreground": "#96a8b6",
    "sideBarSectionHeader.border": "#101213",
    // ---------------------------
    // Status Bar
    // ---------------------------
    "statusBar.foreground": "#496d83",
    "statusBar.background": "#1b2932",
    "statusBar.border": "#101213",
    "statusBar.debuggingBackground": "#1b2932",
    "statusBar.debuggingForeground": "#d2799850",
    "statusBar.debuggingBorder": "#d27998af",
    "statusBar.noFolderForeground": "#98a6ae",
    "statusBar.noFolderBackground": "#1b2932",
    "statusBar.noFolderBorder": "#1b2932",
    "statusBarItem.activeBackground": "#3d708f66",
    "statusBarItem.hoverBackground": "#243742",
    "statusBarItem.prominentBackground": "#152128",
    "statusBarItem.prominentHoverBackground": "#102837",
    // ---------------------------
    // Button
    // ---------------------------
    "button.background": "#2e616b",
    "button.foreground": "#ebf7ff",
    "button.hoverBackground": "#3d818f",
    // ---------------------------
    // Dropdown
    // ---------------------------
    "dropdown.background": "#202e37",
    "dropdown.border": "#202e37",
    "dropdown.foreground": "#6496b4",
    // ---------------------------
    // Editor Marker Navigation
    // ---------------------------
    "editorMarkerNavigation.background": "#43435629",
    "editorMarkerNavigationError.background": "#b96346",
    "editorMarkerNavigationWarning.background": "#c09159",
    // ---------------------------
    // Errors and warnings
    // ---------------------------
    "editorError.border": "#1b2932",
    "editorError.foreground": "#b96346",
    "editorWarning.border": "#1b2932",
    "editorWarning.foreground": "#c09159",
    "editorInfo.border": "#1b2932",
    "editorInfo.foreground": "#5998c0",
    "editorHint.border": "#72c09f00",
    "editorHint.foreground": "#72c09f",
    // ---------------------------
    // Editor Groups and Tabs
    // ---------------------------
    "editorGroup.emptyBackground": "#5d6e7933",
    "editorGroup.border": "#101213",
    "editorGroup.dropBackground": "#5d6e7933",
    // ---------------------------
    // Editor Group Header
    // ---------------------------
    "editorGroupHeader.noTabsBackground": "#202e37",
    "editorGroupHeader.tabsBackground": "#24333d",
    "editorGroupHeader.tabsBorder": "#202e37",
    // ---------------------------
    // Editor Tabs
    // ---------------------------
    "tab.activeBackground": "#1b2932",
    "tab.unfocusedActiveBackground": "#1e2b33",
    "tab.activeForeground": "#5998c0",
    "tab.border": "#101213",
    "tab.inactiveBackground": "#202e37",
    // "tab.inactiveBackground": "#24333d",
    "tab.inactiveForeground": "#96a8b6",
    "tab.unfocusedActiveForeground": "#96a8b6",
    "tab.unfocusedInactiveForeground": "#96a8b6",
    "tab.activeBorderTop": "#5998c0",
    "tab.activeModifiedBorder": "#72c09f",
    "tab.activeBorder": "#1b2932",
    "tab.unfocusedActiveBorder": "#1b2932",
    "tab.unfocusedHoverBackground": "#5998c021",
    // ---------------------------
    // Text Colors
    // ---------------------------
    "textBlockQuote.background": "#1b2932",
    "textBlockQuote.border": "#496d83",
    "textCodeBlock.background": "#1b2932",
    "textLink.activeForeground": "#5998c0",
    "textLink.foreground": "#5998c0",
    "textPreformat.foreground": "#dfc09f",
    "textSeparator.foreground": "#1b2932",
    // ---------------------------
    // Welcome Page
    // ---------------------------
    "walkThrough.embeddedEditorBackground": "#1b2932",
    "welcomePage.buttonBackground": "#0e1920",
    "welcomePage.buttonHoverBackground": "#202e37",
    // ---------------------------
    // Input Control
    // ---------------------------
    "input.background": "#0e1920",
    "input.border": "#1a2f3d",
    "input.foreground": "#CDD3DE",
    "input.placeholderForeground": "#98a6ae",
    "inputOption.activeBorder": "#496d83",
    "inputValidation.errorForeground": "#b96346",
    "inputValidation.errorBackground": "#3b2016ee",
    "inputValidation.errorBorder": "#4e291d",
    "inputValidation.infoForeground": "#6fb0b8",
    "inputValidation.infoBackground": "#2d575cee",
    "inputValidation.infoBorder": "#3b7178",
    "inputValidation.warningForeground": "#c09159",
    "inputValidation.warningBackground": "#736759cc",
    "inputValidation.warningBorder": "#94826b",
    // ---------------------------
    // Editor Widgets
    // ---------------------------
    "editorWidget.background": "#202e37",
    "editorWidget.border": "#101213",
    "editorHoverWidget.background": "#14242e",
    "editorHoverWidget.border": "#101213",
    "editorSuggestWidget.background": "#14242e",
    "editorSuggestWidget.border": "#101213",
    "editorSuggestWidget.foreground": "#96a8b6",
    "editorSuggestWidget.highlightForeground": "#5998c0",
    "editorSuggestWidget.selectedBackground": "#2c414e",
    // ---------------------------
    // Gutter
    // ---------------------------
    "editorGutter.background": "#1b2932",
    "editorGutter.addedBackground": "#a0d4a8",
    "editorGutter.deletedBackground": "#b96346",
    "editorGutter.modifiedBackground": "#dfc09f",
    // ---------------------------
    // Selection Colors
    // ---------------------------
    "editor.selectionBackground": "#496d8355",
    "editor.selectionHighlightBackground": "#5998c033",
    "editor.inactiveSelectionBackground": "#496d8333",
    "editor.wordHighlightStrongBackground": "#b3994d33",
    "editor.wordHighlightBackground": "#d3b69233",
    "editor.findMatchBackground": "#72c09f25",
    "editor.findMatchHighlightBackground": "#0e667179",
    "editor.findRangeHighlightBackground": "#72c09f22",
    "editor.hoverHighlightBackground": "#496d833f",
    "editor.lineHighlightBackground": "#1d3544ee",
    "editor.lineHighlightBorder": "#1d3544",
    "editor.rangeHighlightBackground": "#72b7c022",
    "editorLink.activeForeground": "#649fc4",
    "editorWhitespace.foreground": "#ffffff21",
    "editorIndentGuide.background": "#2f404b",
    "editorIndentGuide.activeBackground": "#405f72",
    "editorBracketMatch.background": "#496d8322",
    "editorBracketMatch.border": "#496d83",
    "editorRuler.foreground": "#334652",
    // ---------------------------
    // Code Lens
    // ---------------------------
    "editorCodeLens.foreground": "#667c7f",
    // ---------------------------
    // Integrated Terminal Colors
    // ---------------------------
    // "terminal.ansiBlack": "#000",
    "terminal.ansiBlack": "#182a35",
    "terminal.ansiRed": "#c08872",
    "terminal.ansiGreen": "#72c09f",
    "terminal.ansiYellow": "#c8a984",
    "terminal.ansiBlue": "#6196b8",
    "terminal.ansiMagenta": "#c28097",
    "terminal.ansiCyan": "#72b7c0",
    "terminal.ansiWhite": "#c5cdd3",
    "terminal.ansiBrightBlack": "#425866",
    "terminal.ansiBrightRed": "#ca8468",
    "terminal.ansiBrightGreen": "#84c8ab",
    "terminal.ansiBrightYellow": "#d1aa7b",
    "terminal.ansiBrightBlue": "#68a4ca",
    "terminal.ansiBrightMagenta": "#c88da2",
    "terminal.ansiBrightCyan": "#84c0c8",
    "terminal.ansiBrightWhite": "#c5d1d3",
    "terminal.background": "#0e1920",
    "terminal.foreground": "#c5cdd3",
    "terminalCursor.background": "#0e1920",
    "terminalCursor.foreground": "#c5cdd3",
    // ---------------------------
    // Merge Conflicts
    // ---------------------------
    "merge.border": "#1b293200",
    "merge.currentContentBackground": "#a6d7dd22",
    "merge.currentHeaderBackground": "#a6d7dd44",
    "merge.incomingContentBackground": "#aea8dc22",
    "merge.incomingHeaderBackground": "#aea8dc44",
    "merge.commonContentBackground": "#dfc09f22",
    "merge.commonHeaderBackground": "#dfc09f44",
    "editorOverviewRuler.currentContentForeground": "#a6d7dd44",
    "editorOverviewRuler.incomingContentForeground": "#cac4f544",
    "editorOverviewRuler.commonContentForeground": "#dfc09f44",
    "editorOverviewRuler.border": "#1b2932",
    // ---------------------------
    // Notification Colors
    // ---------------------------
    "notificationCenter.border": "#202e37",
    "notificationCenterHeader.foreground": "#98a6ae",
    "notificationCenterHeader.background": "#202e37",
    "notificationToast.border": "#202e37",
    "notifications.foreground": "#CDD3DE",
    "notifications.background": "#202e37",
    "notifications.border": "#202e37",
    "notificationLink.foreground": "#98a6ae",
    // ---------------------------
    // Diff
    // ---------------------------
    "diffEditor.insertedTextBackground": "#72c09f25",
    "diffEditor.removedTextBackground": "#c3745530",
    // ---------------------------
    // Debug
    // ---------------------------
    "debugToolBar.background": "#1b2932",
    "debugExceptionWidget.background": "#1b2932",
    "debugExceptionWidget.border": "#496d83",
    // ---------------------------
    // Extensions
    // ---------------------------
    "extensionButton.prominentBackground": "#28828a",
    "extensionButton.prominentForeground": "#e5f5f5",
    "extensionButton.prominentHoverBackground": "#39bac6",
    focusBorder: "#202e37",
    foreground: "#c5cdd3",
    // ---------------------------
    // Panel
    // ---------------------------
    "panel.background": "#0e1920",
    "panel.border": "#496d83",
    "panelTitle.activeBorder": "#496d83",
    "panelTitle.activeForeground": "#5998c0",
    "panelTitle.inactiveForeground": "#5e7887",
    // ---------------------------
    // Peek View Colors
    // ---------------------------
    "peekView.border": "#496d83",
    "peekViewEditor.background": "#0e1c25",
    "peekViewEditor.matchHighlightBackground": "#26526d33",
    "peekViewEditor.matchHighlightBorder": "#3d708f",
    "peekViewEditorGutter.background": "#0e1c25",
    "peekViewResult.background": "#0d202b",
    "peekViewResult.fileForeground": "#dfc09f",
    "peekViewResult.lineForeground": "#98a6ae",
    "peekViewResult.matchHighlightBackground": "#202e37",
    "peekViewResult.selectionBackground": "#202e37",
    "peekViewResult.selectionForeground": "#98a6ae",
    "peekViewTitle.background": "#0d202b",
    "peekViewTitleDescription.foreground": "#98a6ae",
    "peekViewTitleLabel.foreground": "#dfc09f",
    // ---------------------------
    // Progress Bar
    // ---------------------------
    "progressBar.background": "#5998c0",
    // ---------------------------
    // Scrollbar
    // ---------------------------
    "scrollbar.shadow": "#00000044",
    "scrollbarSlider.activeBackground": "#3f7fa677",
    "scrollbarSlider.background": "#3f7fa633",
    "scrollbarSlider.hoverBackground": "#3f7fa655",
    // ---------------------------
    // Git status colors in File Explorer
    // ---------------------------
    "gitDecoration.addedResourceForeground": "#3f8d6c",
    "gitDecoration.modifiedResourceForeground": "#72c09f",
    "gitDecoration.deletedResourceForeground": "#b96346",
    "gitDecoration.untrackedResourceForeground": "#6fb0b8",
    "gitDecoration.ignoredResourceForeground": "#5b788b",
    "gitDecoration.conflictingResourceForeground": "#dfc09f",
    // ---------------------------
    // Quick Picker
    // ---------------------------
    "pickerGroup.border": "#496d83",
    "pickerGroup.foreground": "#5998c0",
    // ---------------------------
    // Lists and Trees
    // ---------------------------
    "list.activeSelectionBackground": "#2c414e",
    "list.activeSelectionForeground": "#ebf7ff",
    "list.dropBackground": "#152837",
    "list.focusBackground": "#213745",
    "list.focusForeground": "#ebf7ff",
    "list.highlightForeground": "#5998c0",
    "list.hoverBackground": "#00558a",
    "list.hoverForeground": "#ebf7ff",
    "list.inactiveFocusBackground": "#1e2b33",
    "list.inactiveSelectionBackground": "#22313a",
    "list.inactiveSelectionForeground": "#c5cdd3",
    "list.errorForeground": "#b96346",
    "list.warningForeground": "#ffa857",
    "listFilterWidget.background": "#152837",
    "listFilterWidget.outline": "#72c09f",
    "listFilterWidget.noMatchesOutline": "#b96346",
    "tree.indentGuidesStroke": "#5d6e79",
    // ---------------------------
    // Settings Editor Colors
    // ---------------------------
    "settings.headerForeground": "#c5cdd3",
    "settings.modifiedItemIndicator": "#3f8d6c",
    "settings.dropdownListBorder": "#2964a377",
    "settings.dropdownBackground": "#202e37",
    "settings.dropdownForeground": "#3d818f",
    "settings.dropdownBorder": "#202e37",
    "settings.checkboxBackground": "#202e37",
    "settings.checkboxForeground": "#3d818f",
    "settings.checkboxBorder": "#202e37",
    "settings.textInputBackground": "#202e37",
    "settings.textInputForeground": "#3d818f",
    "settings.textInputBorder": "#202e37",
    "settings.numberInputBackground": "#0e1920",
    "settings.numberInputForeground": "#7068b1",
    "settings.numberInputBorder": "#0e1920",
    // ---------------------------
    // Breadcrumbs
    // ---------------------------
    "breadcrumb.foreground": "#96a8b6",
    "breadcrumb.background": "#1b2932",
    "breadcrumb.focusForeground": "#5998c0",
    "breadcrumb.activeSelectionForeground": "#ebf7ff",
    "breadcrumbPicker.background": "#202e37",
    // ---------------------------
    // Title bar
    // Note: These colors are currently only supported on macOS.
    // ---------------------------
    "titleBar.activeBackground": "#1b2932",
    "titleBar.activeForeground": "#c5cdd3",
    "titleBar.inactiveBackground": "#1b2932",
    "titleBar.inactiveForeground": "#96a8b6",
    // ---------------------------
    // Custom title bar and menus
    // Note: These colors are currently only supported on Windows and Linux.
    // ---------------------------
    "menu.background": "#202e37",
    "menu.foreground": "#96a8b6",
    "menu.selectionBackground": "#213745",
    "menu.selectionForeground": "#5998c0",
    "menu.selectionBorder": "#213745",
    "menu.separatorBackground": "#5998c0",
    "menubar.selectionBackground": "#213745",
    "menubar.selectionForeground": "#5998c0",
    "menubar.selectionBorder": "#213745",
    // ---------------------------
    // Snippets
    // ---------------------------
    "editor.snippetTabstopHighlightBackground": "#0e1920",
    "editor.snippetTabstopHighlightBorder": "#17232b",
    "editor.snippetFinalTabstopHighlightBackground": "#0e1920",
    "editor.snippetFinalTabstopHighlightBorder": "#17232b",
    // ---------------------------
    // Minimap
    // ---------------------------
    "minimap.findMatchHighlight": "#5998c0ee",
    "minimap.errorHighlight": "#b96346ee",
    "minimap.warningHighlight": "#c09159ee",
    "minimapGutter.addedBackground": "#3f8d6c",
    "minimapGutter.modifiedBackground": "#72c09f",
    "minimapGutter.deletedBackground": "#b96346",
    "minimap.background": "#1b293299"
  },
  tokenColors: syntax
});
