export default (syntax) => ({
   name: 'Noctis Sereno',
   type: 'dark',
   colors: {
      // ---------------------------
      // Editor Base Colors
      // ---------------------------
      'selection.background': '#107684',
      descriptionForeground: '#929ea0',
      errorForeground: '#e34e1c',
      'widget.shadow': '#00000044',
      'editor.background': '#062e32',
      'editor.foreground': '#b2cacd',
      'editorLineNumber.foreground': '#4e6b6e',
      'editorLineNumber.activeForeground': '#169fb1',
      'editorCursor.foreground': '#85efff',
      // ---------------------------
      // Badge
      // ---------------------------
      'badge.background': '#40d4e7',
      'badge.foreground': '#0f1415',
      // ---------------------------
      // Activity Bar
      // ---------------------------
      'activityBar.background': '#062e32',
      'activityBar.dropBackground': '#929ea065',
      'activityBar.border': '#0f1415',
      'activityBar.foreground': '#169fb1',
      'activityBar.inactiveForeground': '#169fb177',
      'activityBarBadge.background': '#40d4e7',
      'activityBarBadge.foreground': '#0f1415',
      'activityBar.activeBackground': '#40d4e733',
      'activityBar.activeBorder': '#40d4e7',
      // ---------------------------
      // Sidebar
      // ---------------------------
      'sideBar.background': '#052629',
      'sideBar.dropBackground': '#052629dd',
      'sideBar.border': '#0f1415',
      'sideBar.foreground': '#a5b5b5',
      'sideBarSectionHeader.background': '#083d44',
      'sideBarSectionHeader.foreground': '#a5b5b5',
      'sideBarSectionHeader.border': '#0f1415',
      'sideBarTitle.foreground': '#a5b5b5',
      // ---------------------------
      // Status Bar
      // ---------------------------
      'statusBar.background': '#052629',
      'statusBar.foreground': '#169fb1',
      'statusBar.border': '#0f1415',
      'statusBar.debuggingBackground': '#052629',
      'statusBar.debuggingForeground': '#df769b50',
      'statusBar.debuggingBorder': '#df769baf',
      'statusBar.noFolderForeground': '#87a7ab',
      'statusBar.noFolderBackground': '#052629',
      'statusBar.noFolderBorder': '#052629',
      'statusBarItem.activeBackground': '#19bacc45',
      'statusBarItem.hoverBackground': '#07373b',
      'statusBarItem.prominentBackground': '#03191b',
      'statusBarItem.prominentHoverBackground': '#003338',
      // ---------------------------
      // Button
      // ---------------------------
      'button.background': '#099',
      'button.foreground': '#ebfdff',
      'button.hoverBackground': '#0cc',
      // ---------------------------
      // Dropdown
      // ---------------------------
      'dropdown.background': '#083f44',
      'dropdown.border': '#083f44',
      'dropdown.foreground': '#87a7ab',
      // ---------------------------
      // Editor Marker Navigation
      // ---------------------------
      'editorMarkerNavigation.background': '#3a3a5e29',
      'editorMarkerNavigationError.background': '#e34e1c',
      'editorMarkerNavigationWarning.background': '#e69533',
      // ---------------------------
      // Errors and warnings
      // ---------------------------
      'editorError.border': '#062e32',
      'editorError.foreground': '#e34e1c',
      'editorWarning.border': '#062e32',
      'editorWarning.foreground': '#e69533',
      'editorInfo.border': '#062e32',
      'editorInfo.foreground': '#40d4e7',
      'editorHint.border': '#49e9a600',
      'editorHint.foreground': '#49e9a6',
      // ---------------------------
      // Editor Groups and Tabs
      // ---------------------------
      'editorGroup.emptyBackground': '#5f6b6d33',
      'editorGroup.border': '#0f1415',
      'editorGroup.dropBackground': '#5f6b6d33',
      // ---------------------------
      // Editor Group Header
      // ---------------------------
      'editorGroupHeader.noTabsBackground': '#062e32',
      'editorGroupHeader.tabsBackground': '#062e32',
      'editorGroupHeader.tabsBorder': '#062e32',
      // ---------------------------
      // Editor Tabs
      // ---------------------------
      'tab.activeBackground': '#062e32',
      'tab.unfocusedActiveBackground': '#112527',
      'tab.activeForeground': '#40d4e7',
      'tab.border': '#0f1415',
      'tab.inactiveBackground': '#062e32',
      'tab.inactiveForeground': '#87a7ab',
      'tab.unfocusedActiveForeground': '#87a7ab',
      'tab.unfocusedInactiveForeground': '#87a7ab',
      'tab.activeBorderTop': '#40d4e7',
      'tab.activeModifiedBorder': '#49e9a6',
      'tab.activeBorder': '#062e32',
      'tab.unfocusedActiveBorder': '#062e32',
      'tab.unfocusedHoverBackground': '#169fb121',
      // ---------------------------
      // Text Colors
      // ---------------------------
      'textBlockQuote.background': '#052629',
      'textBlockQuote.border': '#16a3b6',
      'textCodeBlock.background': '#052629',
      'textLink.activeForeground': '#40d4e7',
      'textLink.foreground': '#40d4e7',
      'textPreformat.foreground': '#e4b781',
      'textSeparator.foreground': '#052629',

      // ---------------------------
      // Welcome Page
      // ---------------------------
      'walkThrough.embeddedEditorBackground': '#052629',
      'welcomePage.buttonBackground': '#052629',
      'welcomePage.buttonHoverBackground': '#003742',
      // ---------------------------
      // Input Control
      // ---------------------------
      'input.background': '#062e32',
      'input.border': '#083d44',
      'input.foreground': '#CDD3DE',
      'input.placeholderForeground': '#87a7ab',
      'inputOption.activeBorder': '#169fb1',
      'inputValidation.errorForeground': '#ff4000',
      'inputValidation.errorBackground': '#501502ee',
      'inputValidation.errorBorder': '#691c02',
      'inputValidation.infoForeground': '#40d4e7',
      'inputValidation.infoBackground': '#0f6e7bee',
      'inputValidation.infoBorder': '#148f9f',
      'inputValidation.warningForeground': '#e69533',
      'inputValidation.warningBackground': '#82694acc',
      'inputValidation.warningBorder': '#a88457',
      // ---------------------------
      // Editor Widgets
      // ---------------------------
      'editorWidget.background': '#083d44',
      'editorWidget.border': '#0f1415',
      'editorHoverWidget.background': '#083d44',
      'editorHoverWidget.border': '#0f1415',
      'editorSuggestWidget.background': '#083d44',
      'editorSuggestWidget.border': '#0f1415',
      'editorSuggestWidget.foreground': '#87a7ab',
      'editorSuggestWidget.highlightForeground': '#40d4e7',
      'editorSuggestWidget.selectedBackground': '#0e6671',
      // ---------------------------
      // Gutter
      // ---------------------------
      'editorGutter.background': '#062e32',
      'editorGutter.addedBackground': '#8ce99a',
      'editorGutter.deletedBackground': '#e34e1c',
      'editorGutter.modifiedBackground': '#e0c184',
      // ---------------------------
      // Selection Colors
      // ---------------------------
      'editor.selectionBackground': '#169fb144',
      'editor.selectionHighlightBackground': '#49ace944',
      'editor.inactiveSelectionBackground': '#0e657155',
      'editor.wordHighlightStrongBackground': '#cc990033',
      'editor.wordHighlightBackground': '#e4b78133',
      'editor.findMatchBackground': '#40bf6a11',
      'editor.findMatchHighlightBackground': '#0e667179',
      'editor.findRangeHighlightBackground': '#49e9a633',
      'editor.hoverHighlightBackground': '#169fb13f',
      'editor.lineHighlightBackground': '#083d44ee',
      'editor.lineHighlightBorder': '#083d44',
      'editor.rangeHighlightBackground': '#083d44a1',
      'editorLink.activeForeground': '#14a5ff',
      'editorWhitespace.foreground': '#ffffff21',
      'editorIndentGuide.background': '#223b3f',
      'editorIndentGuide.activeBackground': '#3e6f74',
      'editorBracketMatch.background': '#169fb122',
      'editorBracketMatch.border': '#169fb1',
      'editorRuler.foreground': '#29484c',
      // ---------------------------
      // Code Lens
      // ---------------------------
      'editorCodeLens.foreground': '#507b95',
      // ---------------------------
      // Integrated Terminal Colors
      // ---------------------------
      'terminal.ansiBlack': '#324a4d',
      'terminal.ansiRed': '#e66533',
      'terminal.ansiGreen': '#49e9a6',
      'terminal.ansiYellow': '#e4b781',
      'terminal.ansiBlue': '#49ace9',
      'terminal.ansiMagenta': '#df769b',
      'terminal.ansiCyan': '#49d6e9',
      'terminal.ansiWhite': '#b2cacd',
      'terminal.ansiBrightBlack': '#47686c',
      'terminal.ansiBrightRed': '#e97749',
      'terminal.ansiBrightGreen': '#60ebb1',
      'terminal.ansiBrightYellow': '#e69533',
      'terminal.ansiBrightBlue': '#60b6eb',
      'terminal.ansiBrightMagenta': '#e798b3',
      'terminal.ansiBrightCyan': '#60dbeb',
      'terminal.ansiBrightWhite': '#c1d4d7',
      'terminal.background': '#041d20',
      'terminal.foreground': '#b2cacd',
      'terminalCursor.background': '#041d20',
      'terminalCursor.foreground': '#b2cacd',
      // ---------------------------
      // Merge Conflicts
      // ---------------------------
      'merge.border': '#062e3200',
      'merge.currentContentBackground': '#85f1ff22',
      'merge.currentHeaderBackground': '#85f1ff44',
      'merge.incomingContentBackground': '#9d92f222',
      'merge.incomingHeaderBackground': '#9d92f244',
      'merge.commonContentBackground': '#ffc18022',
      'merge.commonHeaderBackground': '#ffc18044',
      'editorOverviewRuler.currentContentForeground': '#85f1ff44',
      'editorOverviewRuler.incomingContentForeground': '#9d92f244',
      'editorOverviewRuler.commonContentForeground': '#ffc18044',
      'editorOverviewRuler.border': '#062e32',
      // ---------------------------
      // Notification Colors
      // ---------------------------
      'notificationCenter.border': '#083d44',
      'notificationCenterHeader.foreground': '#87a7ab',
      'notificationCenterHeader.background': '#083d44',
      'notificationToast.border': '#083d44',
      'notifications.foreground': '#CDD3DE',
      'notifications.background': '#083d44',
      'notifications.border': '#083d44',
      'notificationLink.foreground': '#87a7ab',
      // ---------------------------
      // Diff
      // ---------------------------
      'diffEditor.insertedTextBackground': '#16b67327',
      'diffEditor.removedTextBackground': '#e6653341',
      // ---------------------------
      // Debug
      // ---------------------------
      'debugToolBar.background': '#052629',
      'debugExceptionWidget.background': '#052629',
      'debugExceptionWidget.border': '#16a3b6',
      // ---------------------------
      // Extensions
      // ---------------------------
      'extensionButton.prominentBackground': '#099',
      'extensionButton.prominentForeground': '#e5f5f5',
      'extensionButton.prominentHoverBackground': '#0cc',
      focusBorder: '#083d44',
      foreground: '#b2cacd',
      // ---------------------------
      // Panel
      // ---------------------------
      'panel.background': '#041d20',
      'panel.border': '#169fb1',
      'panelTitle.activeBorder': '#169fb1',
      'panelTitle.activeForeground': '#40d4e7',
      'panelTitle.inactiveForeground': '#87a7ab',
      // ---------------------------
      // Peek View Colors
      // ---------------------------
      'peekView.border': '#169fb1',
      'peekViewEditor.background': '#002124',
      'peekViewEditor.matchHighlightBackground': '#00718079',
      'peekViewEditor.matchHighlightBorder': '#007180cc',
      'peekViewEditorGutter.background': '#002124',
      'peekViewResult.background': '#052629',
      'peekViewResult.fileForeground': '#e4b781',
      'peekViewResult.lineForeground': '#87a7ab',
      'peekViewResult.matchHighlightBackground': '#083d44',
      'peekViewResult.selectionBackground': '#083d44',
      'peekViewResult.selectionForeground': '#87a7ab',
      'peekViewTitle.background': '#052629',
      'peekViewTitleDescription.foreground': '#87a7ab',
      'peekViewTitleLabel.foreground': '#e4b781',
      // ---------------------------
      // Progress Bar
      // ---------------------------
      'progressBar.background': '#40d4e7',
      // ---------------------------
      // Scroll Bar
      // ---------------------------
      'scrollbar.shadow': '#00000044',
      'scrollbarSlider.activeBackground': '#169fb1ad',
      'scrollbarSlider.background': '#6a90955b',
      'scrollbarSlider.hoverBackground': '#169fb162',
      // ---------------------------
      // Git status colors in File Explorer
      // ---------------------------
      'gitDecoration.addedResourceForeground': '#16b673',
      'gitDecoration.modifiedResourceForeground': '#49e9a6',
      'gitDecoration.deletedResourceForeground': '#e34e1c',
      'gitDecoration.untrackedResourceForeground': '#40d4e7',
      'gitDecoration.ignoredResourceForeground': '#647e82',
      'gitDecoration.conflictingResourceForeground': '#e4b781',
      // ---------------------------
      // Quick Picker
      // ---------------------------
      'pickerGroup.border': '#0e6671',
      'pickerGroup.foreground': '#169fb1',
      // ---------------------------
      // Lists and Trees
      // ---------------------------
      'list.activeSelectionBackground': '#0e6671',
      'list.activeSelectionForeground': '#ebfdff',
      'list.dropBackground': '#00404d',
      'list.focusBackground': '#00404d',
      'list.focusForeground': '#ebfdff',
      'list.highlightForeground': '#40d4e7',
      'list.hoverBackground': '#0b515b',
      'list.hoverForeground': '#ebfdff',
      'list.inactiveFocusBackground': '#062d32',
      'list.inactiveSelectionBackground': '#07353b',
      'list.inactiveSelectionForeground': '#b2cacd',
      'list.errorForeground': '#e34e1c',
      'list.warningForeground': '#ffa487',
      'listFilterWidget.background': '#00404d',
      'listFilterWidget.outline': '#49e9a6',
      'listFilterWidget.noMatchesOutline': '#e34e1c',
      'tree.indentGuidesStroke': '#3e6f74',
      // ---------------------------
      // Settings Editor Colors
      // ---------------------------
      'settings.headerForeground': '#b2cacd',
      'settings.modifiedItemIndicator': '#15ac31',
      'settings.dropdownListBorder': '#0e657188',
      'settings.dropdownBackground': '#083d44',
      'settings.dropdownForeground': '#0cc',
      'settings.dropdownBorder': '#083d44',
      'settings.checkboxBackground': '#083d44',
      'settings.checkboxForeground': '#0cc',
      'settings.checkboxBorder': '#083d44',
      'settings.textInputBackground': '#083d44',
      'settings.textInputForeground': '#0cc',
      'settings.textInputBorder': '#083d44',
      'settings.numberInputBackground': '#052629',
      'settings.numberInputForeground': '#7060eb',
      'settings.numberInputBorder': '#052629',
      // ---------------------------
      // Breadcrumbs
      // ---------------------------
      'breadcrumb.foreground': '#87a7ab',
      'breadcrumb.background': '#062e32',
      'breadcrumb.focusForeground': '#40d4e7',
      'breadcrumb.activeSelectionForeground': '#ebfdff',
      'breadcrumbPicker.background': '#083d44',
      // ---------------------------
      // Title bar
      // Note: These colors are currently only supported on macOS.
      // ---------------------------
      'titleBar.activeBackground': '#052629',
      'titleBar.activeForeground': '#b2cacd',
      'titleBar.inactiveBackground': '#052629',
      'titleBar.inactiveForeground': '#87a7ab',
      // ---------------------------
      // Custom title bar and menus
      // Note: These colors are currently only supported on Windows and Linux.
      // ---------------------------
      'menu.background': '#083d44',
      'menu.foreground': '#87a7ab',
      'menu.selectionBackground': '#0b515b',
      'menu.selectionForeground': '#40d4e7',
      'menu.selectionBorder': '#0b515b',
      'menu.separatorBackground': '#40d4e7',
      'menubar.selectionBackground': '#0b515b',
      'menubar.selectionForeground': '#40d4e7',
      'menubar.selectionBorder': '#0b515b',
      // ---------------------------
      // Snippets
      // ---------------------------
      'editor.snippetTabstopHighlightBackground': '#052629',
      'editor.snippetTabstopHighlightBorder': '#062f32',
      'editor.snippetFinalTabstopHighlightBackground': '#052629',
      'editor.snippetFinalTabstopHighlightBorder': '#062f32',
      // ---------------------------
      // Minimap
      // ---------------------------
      'minimap.findMatchHighlight': '#49d6e9ee',
      'minimap.errorHighlight': '#e34e1cee',
      'minimap.warningHighlight': '#e69533ee',
      'minimapGutter.addedBackground': '#16b673',
      'minimapGutter.modifiedBackground': '#49e9a6',
      'minimapGutter.deletedBackground': '#e34e1c',
      'minimap.background': '#062e3299',
   },
   tokenColors: syntax,
});
