export default syntax => ({
  name: "Noctis Viola",
  type: "dark",
  colors: {
    // ---------------------------
    // Editor Base Colors
    // ---------------------------
    "selection.background": "#bf8ef166",
    descriptionForeground: "#996bc7",
    errorForeground: "#e34e1c",
    "widget.shadow": "#00000044",
    "editor.background": "#30243d",
    "editor.foreground": "#ccbfd9",
    "editorLineNumber.foreground": "#665973",
    "editorLineNumber.activeForeground": "#996bc7",
    "editorCursor.foreground": "#d9b3ff",
    // ---------------------------
    // Badge
    // ---------------------------
    "badge.background": "#bf8ef1",
    "badge.foreground": "#1c1226",
    // ---------------------------
    // Activity Bar
    // ---------------------------
    "activityBar.background": "#30243d",
    "activityBar.dropBackground": "#996bc765",
    "activityBar.border": "#1c1226",
    "activityBar.foreground": "#8767a8",
    "activityBar.inactiveForeground": "#8767a877",
    "activityBarBadge.background": "#bf8ef1",
    "activityBarBadge.foreground": "#1c1226",
    "activityBar.activeBackground": "#bf8ef133",
    "activityBar.activeBorder": "#bf8ef1",
    // ---------------------------
    // Sidebar
    // ---------------------------
    "sideBar.background": "#2b2136",
    "sideBar.dropBackground": "#2b2136",
    "sideBar.border": "#1c1226",
    "sideBar.foreground": "#b3a5c0",
    "sideBarSectionHeader.background": "#3d2e4d",
    "sideBarSectionHeader.foreground": "#b3a5c0",
    "sideBarTitle.foreground": "#b3a5c0",
    "sideBarSectionHeader.border": "#1c1226",
    // ---------------------------
    // Status Bar
    // ---------------------------
    "statusBar.foreground": "#8767a8",
    "statusBar.background": "#30243d",
    "statusBar.border": "#1c1226",
    "statusBar.debuggingBackground": "#30243d",
    "statusBar.debuggingForeground": "#ff80ac50",
    "statusBar.debuggingBorder": "#ff80acaf",
    "statusBar.noFolderForeground": "#9987ab",
    "statusBar.noFolderBackground": "#30243d",
    "statusBar.noFolderBorder": "#30243d",
    "statusBarItem.activeBackground": "#734b9b88",
    "statusBarItem.hoverBackground": "#422b5a",
    "statusBarItem.prominentBackground": "#21162d",
    "statusBarItem.prominentHoverBackground": "#2b1145",
    // ---------------------------
    // Button
    // ---------------------------
    "button.background": "#007f99",
    "button.foreground": "#edebff",
    "button.hoverBackground": "#0ac",
    // ---------------------------
    // Dropdown
    // ---------------------------
    "dropdown.background": "#3d2e4d",
    "dropdown.border": "#3d2e4d",
    "dropdown.foreground": "#996bc7",
    // ---------------------------
    // Editor Marker Navigation
    // ---------------------------
    "editorMarkerNavigation.background": "#4c326729",
    "editorMarkerNavigationError.background": "#e34e1c",
    "editorMarkerNavigationWarning.background": "#e69533",
    // ---------------------------
    // Errors and warnings
    // ---------------------------
    "editorError.border": "#30243d",
    "editorError.foreground": "#e34e1c",
    "editorWarning.border": "#30243d",
    "editorWarning.foreground": "#e69533",
    "editorInfo.border": "#30243d",
    "editorInfo.foreground": "#bf8ef1",
    "editorHint.border": "#49e9a600",
    "editorHint.foreground": "#49e9a6",
    // ---------------------------
    // Editor Groups and Tabs
    // ---------------------------
    "editorGroup.emptyBackground": "#66597333",
    "editorGroup.border": "#1c1226",
    "editorGroup.dropBackground": "#66597333",
    // ---------------------------
    // Editor Group Header
    // ---------------------------
    "editorGroupHeader.noTabsBackground": "#3d2e4d",
    "editorGroupHeader.tabsBackground": "#3d2e4d",
    "editorGroupHeader.tabsBorder": "#3d2e4d",
    // ---------------------------
    // Editor Tabs
    // ---------------------------
    "tab.activeBackground": "#30243d",
    "tab.unfocusedActiveBackground": "#302b36",
    "tab.activeForeground": "#bf8ef1",
    "tab.border": "#1c1226",
    "tab.inactiveBackground": "#3d2e4d",
    "tab.inactiveForeground": "#b3a5c0",
    "tab.unfocusedActiveForeground": "#b3a5c0",
    "tab.unfocusedInactiveForeground": "#b3a5c0",
    "tab.activeBorderTop": "#bf8ef1",
    "tab.activeModifiedBorder": "#49e9a6",
    "tab.activeBorder": "#30243d",
    "tab.unfocusedActiveBorder": "#30243d",
    "tab.unfocusedHoverBackground": "#996bc721",
    // ---------------------------
    // Text Colors
    // ---------------------------
    "textBlockQuote.background": "#30243d",
    "textBlockQuote.border": "#8767a8",
    "textCodeBlock.background": "#30243d",
    "textLink.activeForeground": "#bf8ef1",
    "textLink.foreground": "#bf8ef1",
    "textPreformat.foreground": "#ffc180",
    "textSeparator.foreground": "#30243d",
    // ---------------------------
    // Welcome Page
    // ---------------------------
    "walkThrough.embeddedEditorBackground": "#30243d",
    "welcomePage.buttonBackground": "#291d35",
    "welcomePage.buttonHoverBackground": "#3d2e4d",
    // ---------------------------
    // Input Control
    // ---------------------------
    "input.background": "#291d35",
    "input.border": "#402956",
    "input.foreground": "#CDD3DE",
    "input.placeholderForeground": "#9987ab",
    "inputOption.activeBorder": "#8767a8",
    "inputValidation.errorForeground": "#ff4000",
    "inputValidation.errorBackground": "#501502ee",
    "inputValidation.errorBorder": "#691c02",
    "inputValidation.infoForeground": "#40d4e7",
    "inputValidation.infoBackground": "#0f6e7bee",
    "inputValidation.infoBorder": "#148f9f",
    "inputValidation.warningForeground": "#e69533",
    "inputValidation.warningBackground": "#82694acc",
    "inputValidation.warningBorder": "#a88457",
    // ---------------------------
    // Editor Widgets
    // ---------------------------
    "editorWidget.background": "#3d2e4d",
    "editorWidget.border": "#1c1226",
    "editorHoverWidget.background": "#462d5d",
    "editorHoverWidget.border": "#1c1226",
    "editorSuggestWidget.background": "#462d5d",
    "editorSuggestWidget.border": "#1c1226",
    "editorSuggestWidget.foreground": "#b3a5c0",
    "editorSuggestWidget.highlightForeground": "#bf8ef1",
    "editorSuggestWidget.selectedBackground": "#593a78",
    // ---------------------------
    // Gutter
    // ---------------------------
    "editorGutter.background": "#30243d",
    "editorGutter.addedBackground": "#8ce99a",
    "editorGutter.deletedBackground": "#e34e1c",
    "editorGutter.modifiedBackground": "#ffc180",
    // ---------------------------
    // Selection Colors
    // ---------------------------
    "editor.selectionBackground": "#8767a855",
    "editor.selectionHighlightBackground": "#49ace933",
    "editor.inactiveSelectionBackground": "#8767a833",
    "editor.wordHighlightStrongBackground": "#cc990033",
    "editor.wordHighlightBackground": "#e4b78133",
    "editor.findMatchBackground": "#40bf6a11",
    "editor.findMatchHighlightBackground": "#0e667179",
    "editor.findRangeHighlightBackground": "#49e9a622",
    "editor.hoverHighlightBackground": "#8767a83f",
    "editor.lineHighlightBackground": "#402d53ee",
    "editor.lineHighlightBorder": "#402d53",
    "editor.rangeHighlightBackground": "#49d6e922",
    "editorLink.activeForeground": "#14a5ff",
    "editorWhitespace.foreground": "#ffffff21",
    "editorIndentGuide.background": "#422e56",
    "editorIndentGuide.activeBackground": "#595289",
    "editorBracketMatch.background": "#8767a822",
    "editorBracketMatch.border": "#8767a8",
    "editorRuler.foreground": "#473856",
    // ---------------------------
    // Code Lens
    // ---------------------------
    "editorCodeLens.foreground": "#776284",
    // ---------------------------
    // Integrated Terminal Colors
    // ---------------------------
    "terminal.ansiBlack": "#362f3d",
    "terminal.ansiRed": "#e66533",
    "terminal.ansiGreen": "#49e9a6",
    "terminal.ansiYellow": "#e4b781",
    "terminal.ansiBlue": "#49ace9",
    "terminal.ansiMagenta": "#df769b",
    "terminal.ansiCyan": "#49d6e9",
    "terminal.ansiWhite": "#bfafcf",
    "terminal.ansiBrightBlack": "#594e65",
    "terminal.ansiBrightRed": "#e97749",
    "terminal.ansiBrightGreen": "#60ebb1",
    "terminal.ansiBrightYellow": "#e69533",
    "terminal.ansiBrightBlue": "#60b6eb",
    "terminal.ansiBrightMagenta": "#e798b3",
    "terminal.ansiBrightCyan": "#60dbeb",
    "terminal.ansiBrightWhite": "#ccbfd9",
    "terminal.background": "#291d35",
    "terminal.foreground": "#ccbfd9",
    "terminalCursor.background": "#291d35",
    "terminalCursor.foreground": "#ccbfd9",
    // ---------------------------
    // Merge Conflicts
    // ---------------------------
    "merge.border": "#30243d00",
    "merge.currentContentBackground": "#85f1ff22",
    "merge.currentHeaderBackground": "#85f1ff44",
    "merge.incomingContentBackground": "#9d92f222",
    "merge.incomingHeaderBackground": "#9d92f244",
    "merge.commonContentBackground": "#ffc18022",
    "merge.commonHeaderBackground": "#ffc18044",
    "editorOverviewRuler.currentContentForeground": "#85f1ff44",
    "editorOverviewRuler.incomingContentForeground": "#9d92f244",
    "editorOverviewRuler.commonContentForeground": "#ffc18044",
    "editorOverviewRuler.border": "#30243d",
    // ---------------------------
    // Notification Colors
    // ---------------------------
    "notificationCenter.border": "#3d2e4d",
    "notificationCenterHeader.foreground": "#9987ab",
    "notificationCenterHeader.background": "#3d2e4d",
    "notificationToast.border": "#3d2e4d",
    "notifications.foreground": "#CDD3DE",
    "notifications.background": "#3d2e4d",
    "notifications.border": "#3d2e4d",
    "notificationLink.foreground": "#9987ab",
    // ---------------------------
    // Diff
    // ---------------------------
    "diffEditor.insertedTextBackground": "#16b67327",
    "diffEditor.removedTextBackground": "#e6653341",
    // ---------------------------
    // Debug
    // ---------------------------
    "debugToolBar.background": "#30243d",
    "debugExceptionWidget.background": "#30243d",
    "debugExceptionWidget.border": "#8767a8",
    // ---------------------------
    // Extensions
    // ---------------------------
    "extensionButton.prominentBackground": "#008c99",
    "extensionButton.prominentForeground": "#e5f5f5",
    "extensionButton.prominentHoverBackground": "#00bbcc",
    focusBorder: "#3d2e4d",
    foreground: "#ccbfd9",
    // ---------------------------
    // Panel
    // ---------------------------
    "panel.background": "#291d35",
    "panel.border": "#8767a8",
    "panelTitle.activeBorder": "#8767a8",
    "panelTitle.activeForeground": "#bf8ef1",
    "panelTitle.inactiveForeground": "#725b8b",
    // ---------------------------
    // Peek View Colors
    // ---------------------------
    "peekView.border": "#8767a8",
    "peekViewEditor.background": "#2b1d3a",
    "peekViewEditor.matchHighlightBackground": "#63438499",
    "peekViewEditorGutter.background": "#2b1d3a",
    "peekViewResult.background": "#2e1f3d",
    "peekViewResult.fileForeground": "#ffc180",
    "peekViewResult.lineForeground": "#9987ab",
    "peekViewResult.matchHighlightBackground": "#343050",
    "peekViewResult.selectionBackground": "#343050",
    "peekViewResult.selectionForeground": "#9987ab",
    "peekViewTitle.background": "#2e1f3d",
    "peekViewTitleDescription.foreground": "#9987ab",
    "peekViewTitleLabel.foreground": "#ffc180",
    // ---------------------------
    // Progress Bar
    // ---------------------------
    "progressBar.background": "#bf8ef1",
    // ---------------------------
    // Scrollbar
    // ---------------------------
    "scrollbar.shadow": "#00000044",
    "scrollbarSlider.activeBackground": "#a660eb77",
    "scrollbarSlider.background": "#a660eb33",
    "scrollbarSlider.hoverBackground": "#a660eb55",
    // ---------------------------
    // Git status colors in File Explorer
    // ---------------------------
    "gitDecoration.addedResourceForeground": "#16b673",
    "gitDecoration.modifiedResourceForeground": "#49e9a6",
    "gitDecoration.deletedResourceForeground": "#e34e1c",
    "gitDecoration.untrackedResourceForeground": "#40d4e7",
    "gitDecoration.ignoredResourceForeground": "#5b788b",
    "gitDecoration.conflictingResourceForeground": "#ffc180",
    // ---------------------------
    // Quick Picker
    // ---------------------------
    "pickerGroup.border": "#8767a8",
    "pickerGroup.foreground": "#bf8ef1",
    // ---------------------------
    // Lists and Trees
    // ---------------------------
    "list.activeSelectionBackground": "#472e60",
    "list.activeSelectionForeground": "#edebff",
    "list.dropBackground": "#302040",
    "list.focusBackground": "#593a78",
    "list.focusForeground": "#edebff",
    "list.highlightForeground": "#bf8ef1",
    "list.hoverBackground": "#6a448d",
    "list.hoverForeground": "#edebff",
    "list.inactiveFocusBackground": "#362546",
    "list.inactiveSelectionBackground": "#3d2e4d",
    "list.inactiveSelectionForeground": "#ccbfd9",
    "list.errorForeground": "#e34e1c",
    "list.warningForeground": "#ffa857",
    "listFilterWidget.background": "#302040",
    "listFilterWidget.outline": "#49e9a6",
    "listFilterWidget.noMatchesOutline": "#e34e1c",
    "tree.indentGuidesStroke": "#665973",
    // ---------------------------
    // Settings Editor Colors
    // ---------------------------
    "settings.headerForeground": "#ccbfd9",
    "settings.modifiedItemIndicator": "#15ac31",
    "settings.dropdownListBorder": "#66408c77",
    "settings.dropdownBackground": "#3d2e4d",
    "settings.dropdownForeground": "#0ac",
    "settings.dropdownBorder": "#3d2e4d",
    "settings.checkboxBackground": "#3d2e4d",
    "settings.checkboxForeground": "#0ac",
    "settings.checkboxBorder": "#3d2e4d",
    "settings.textInputBackground": "#3d2e4d",
    "settings.textInputForeground": "#0ac",
    "settings.textInputBorder": "#3d2e4d",
    "settings.numberInputBackground": "#291d35",
    "settings.numberInputForeground": "#a660eb",
    "settings.numberInputBorder": "#291d35",
    // ---------------------------
    // Breadcrumbs
    // ---------------------------
    "breadcrumb.foreground": "#b3a5c0",
    "breadcrumb.background": "#30243d",
    "breadcrumb.focusForeground": "#bf8ef1",
    "breadcrumb.activeSelectionForeground": "#edebff",
    "breadcrumbPicker.background": "#3d2e4d",
    // ---------------------------
    // Title bar
    // Note: These colors are currently only supported on macOS.
    // ---------------------------
    "titleBar.activeBackground": "#30243d",
    "titleBar.activeForeground": "#ccbfd9",
    "titleBar.inactiveBackground": "#30243d",
    "titleBar.inactiveForeground": "#b3a5c0",
    // ---------------------------
    // Custom title bar and menus
    // Note: These colors are currently only supported on Windows and Linux.
    // ---------------------------
    "menu.background": "#3d2e4d",
    "menu.foreground": "#b3a5c0",
    "menu.selectionBackground": "#593a78",
    "menu.selectionForeground": "#bf8ef1",
    "menu.selectionBorder": "#593a78",
    "menu.separatorBackground": "#bf8ef1",
    "menubar.selectionBackground": "#593a78",
    "menubar.selectionForeground": "#bf8ef1",
    "menubar.selectionBorder": "#593a78",
    // ---------------------------
    // Snippets
    // ---------------------------
    "editor.snippetTabstopHighlightBackground": "#21162d",
    "editor.snippetTabstopHighlightBorder": "#30243d",
    "editor.snippetFinalTabstopHighlightBackground": "#21162d",
    "editor.snippetFinalTabstopHighlightBorder": "#30243d",
    // ---------------------------
    // Minimap
    // ---------------------------
    "minimap.findMatchHighlight": "#bf8ef1aa",
    "minimap.errorHighlight": "#e34e1cee",
    "minimap.warningHighlight": "#e69533ee",
    "minimapGutter.addedBackground": "#16b673",
    "minimapGutter.modifiedBackground": "#49e9a6",
    "minimapGutter.deletedBackground": "#e34e1c",
    "minimap.background": "#30243d99"
  },
  tokenColors: syntax
});
